OBSOLETE;
/************************************************************************************************************

  	3DTools.h

	Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

	Author:	Jerome Bignon

	Date:	19/07/99

	Revision History

	when		who			what & why
	=========== ===========	=============================================================
	19/07/99	Jerome		Creation

************************************************************************************************************/
#ifndef __3DTOOLS__
#define __3DTOOLS__ 

#include "Vector3.h"
#include "APITypes.h"
#include "Transforms.h"

/*Operation on vector*/

//TVector3 operator *(const TVector3 &A, const TVector3 &B);
TVector3 operator -(const TVector3 &A, const TVector3 &B);
TVector3 NormalFacet(const TVector3 &A, const TVector3 &B, const TVector3 &C);

void TransformFacet(TFacet3D &res, const TTransform3D &AA, const TFacet3D &VV);
void Transform(TVector3 &res,const MATRIX3D &AA,const TVector3 &VV);
void TransformPoint(TVector3 &res,const TTransform3D &AA,const TVector3 &VV); 
void TransformVector(TVector3 &res,const TTransform3D &AA,const TVector3 &VV);
TTransform3D AffineToTransform3D(const AFFINETRANSFORM &AA);
TTransform3D  operator *(const TTransform3D &AA,const TTransform3D &BB);
 
void Multiply(MATRIX3D &res,const MATRIX3D &AA,const MATRIX3D &BB);

void GetIsoUV (TVector3& theIsoU, TVector3& theIsoV, const TFacet3D& aFacet);

void BlitScreen32(IShRasterOffscreen* theImage, TMCRect DrawingArea, long *screenBuffer);

#endif // __3DTOOLS__